## Index

### Classes

- CalypsoReadInstance
- CalypsoWriteInstance
- OnChainSecretInstance
- Read
- Write

### Variables

- curve25519

### Functions

- DecodeKey

## Variables

### Const curve25519

curve25519: Group = curve.newCurve("edwards25519")

- Defined in src/calypso/calypso-instance.ts:13

## Functions

### DecodeKey

- DecodeKey(X: Point, C: Point, XhatEnc: Point, priv: Scalar): Promise<Buffer>

- - Defined in src/calypso/calypso-instance.ts:405

  #### Parameters

  - ##### X: Point

  - ##### C: Point

  - ##### XhatEnc: Point

  - ##### priv: Scalar

  #### Returns Promise<Buffer>

Generated using TypeDoc